Subject: bug#47489: closed (Re: bug#47489: 28.0.50; [Elpa] Two issues in ztree-diff.el)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Apr 2021 22:55:01 +0000

Your bug report

#47489: 28.0.50; [Elpa] Two issues in ztree-diff.el 

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47489: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47489
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47489: 28.0.50; [Elpa] Two issues in ztree-diff.el
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Cc: Alexey Veretennikov <[email-masked]>
Date: Thu, 08 Apr 2021 00:54:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

the discussion will continue here:

  https://github.com/fourier/ztree/issues/80

  https://github.com/fourier/ztree/issues/81

I'm closing the report here so that it doesn't get a zombie bug report.

Michael.

Subject: 28.0.50; [Elpa] Two issues in ztree-diff.el
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Cc: Alexey Veretennikov <[email-masked]>
Date: Tue, 30 Mar 2021 00:49:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have two small issues with ztree-diff:

(1) [Bug] The difference buffer view of `ztree-diff' has a problem: the
roots of the two directory trees both show the name of the "Right"
directory, although the diff itself looks correctly.

(2) [Wishlist] Can we please make the relevant keys more visible (like
C, h, H, D, v, d, r, R)?  They don't appear in C-h m, and there is not a
menu, so one has to consult some non-interactive source to look them
up.  I suggest to list them in the header, right along the "Legend".

With those two things fixed `ztree-diff' would be a directory comparison
tool of choice for me.

Regards, and TIA,

Michael.